Error
A valid request URL is required to generate request examples{
"resourceAllocations": [
{
"sysidUserGroupAllocation": 12345,
"sysidResourceGroup": 12345,
"sysidAllocationRelationshipType": 12345
},
{
"sysidUserGroupAllocation": 12345,
"sysidResourceGroup": 12345,
"sysidAllocationRelationshipType": 12345
}
],
"internalGroup": true,
"groupMembers": [
{
"sysidUserGroupMember": 12345,
"sysidApplicationUser": 12345
},
{
"sysidUserGroupMember": 12345,
"sysidApplicationUser": 12345
}
],
"name": "...",
"sysidUserGroup": 12345,
"description": "..."
}UserGroupService
Post usergroups 1
This operation removes the Users identified in the POSTed criteria object from the User Group identified by the Integer sysid value of the path parameter.
The requesting User must have the following rights to perform this task:
This operation requires a User View Criteria value which identifies the Users which will be removed from the specified User Group.
This operation returns an updated User Group with the identified users removed.
POST
/
usergroups
/
{sysidUserGroup}
Error
A valid request URL is required to generate request examples{
"resourceAllocations": [
{
"sysidUserGroupAllocation": 12345,
"sysidResourceGroup": 12345,
"sysidAllocationRelationshipType": 12345
},
{
"sysidUserGroupAllocation": 12345,
"sysidResourceGroup": 12345,
"sysidAllocationRelationshipType": 12345
}
],
"internalGroup": true,
"groupMembers": [
{
"sysidUserGroupMember": 12345,
"sysidApplicationUser": 12345
},
{
"sysidUserGroupMember": 12345,
"sysidApplicationUser": 12345
}
],
"name": "...",
"sysidUserGroup": 12345,
"description": "..."
}Path Parameters
: Integer Sysid of the User Group to remove Users from
Body
application/json
: User View Criteria containing the User Sysid values to remove from the User Group
Show child attributes
Show child attributes
Available options:
FIRST_NAME, LAST_NAME, EMAIL, PHONE, CITY, ROLE, HOME_LOCATION Response
201 - application/json
Modified User Group with removed Users
com.agilquest.phoenix.shared.data.user.UserGroup

